%global momorel 4

Summary: thin library of the Linux Framebuffer Device.
Name: DirectFB
Version: 0.9.20
Release: %{momorel}m
License: LGPL
Group: System Environment/Libraries
URL: http://www.directfb.org/

%NoSource 0 http://www.directfb.org/download/%{name}/%{name}-%{version}.tar.gz e42e8ae43f0ad873643f73cc0a9ae7d0

Patch0: DirectFB-0.9.20-wm97xx.patch
Patch1: DirectFB-0.9.20-i2c-2.8-matrox-maven.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: glibc-devel
BuildPrereq: freetype2-devel
BuildPrereq: pkgconfig >= 0.12.0-2k
BuildPrereq: libjpeg-devel
BuildPrereq: libungif-devel
BuildPrereq: libpng-devel

%description
DirectFB is a thin library that provides hardware graphics acceleration,
input device handling and abstraction, integrated windowing system with
support for translucent windows and multiple display layers on top of the
Linux Framebuffer Device. It is a complete hardware abstraction layer with
software fallbacks for every graphics operation that is not supported by
the underlying hardware. DirectFB adds graphical power to embedded systems
and sets a new standard for graphics under Linux.

%package devel
Summary: DirectFB-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: glibc-devel

%description devel
DirectFB-devel

%prep
%setup -q

%patch0 -p1
%patch1 -p1

%build

%configure \
  --enable-shared \
  --enable-static \
  --enable-fbdev \
  --disable-multi \
  --enable-mmx=autodetect \
  --enable-sse=autodetect \
  --disable-sdl \
  --enable-jpeng \
  --enable-png \
  --enable-gif \
  --enable-freetype \
  --disable-libmpeg3 \
  --enable-video4linux \
  --enable-linux-input \
  --disable-mutouch \
  --with-gfxdrivers=all
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
make DESTDIR=%{buildroot} transform= install

%__mkdir_p %{buildroot}%{_sysconfdir}
%__install -m 0644 fb.modes %{buildroot}%{_sysconfdir}

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%config(noreplace) %{_sysconfdir}/fb.modes
%{_bindir}/dfbdump
%{_bindir}/dfbg
%{_bindir}/dfbinfo
%{_bindir}/dfblayer
%dir %{_libdir}/directfb-%{version}
%dir %{_libdir}/directfb-%{version}/gfxdrivers
%{_libdir}/directfb-%{version}/gfxdrivers/*.so
%dir %{_libdir}/directfb-%{version}/inputdrivers
%{_libdir}/directfb-%{version}/inputdrivers/*.so
%dir %{_libdir}/directfb-%{version}/interfaces
%dir %{_libdir}/directfb-%{version}/interfaces/IDirectFBFont
%{_libdir}/directfb-%{version}/interfaces/IDirectFBFont/*.so
%dir %{_libdir}/directfb-%{version}/interfaces/IDirectFBImageProvider
%{_libdir}/directfb-%{version}/interfaces/IDirectFBImageProvider/*.so
%dir %{_libdir}/directfb-%{version}/interfaces/IDirectFBVideoProvider
%{_libdir}/directfb-%{version}/interfaces/IDirectFBVideoProvider/*.so
%{_libdir}/directfb-%{version}/systems/*.so
%{_libdir}/*.so.*
%{_datadir}/directfb-%{version}
%{_datadir}/man/man1/dfbg.1*
%{_datadir}/man/man5/directfbrc.5*

%files devel
%defattr(-, root, root)
%doc COPYING docs/html
%{_bindir}/directfb-config
%{_bindir}/directfb-csource
%{_includedir}/directfb
%{_includedir}/directfb-internal
%{_libdir}/directfb-%{version}/gfxdrivers/*a
%{_libdir}/directfb-%{version}/inputdrivers/*a
%{_libdir}/directfb-%{version}/interfaces/IDirectFBImageProvider/*a
%{_libdir}/directfb-%{version}/interfaces/IDirectFBVideoProvider/*a
%{_libdir}/directfb-%{version}/interfaces/IDirectFBFont/*a
%{_libdir}/directfb-%{version}/systems/*a
%{_libdir}/lib*a
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/man/man1/directfb-csource.1*

%changeLog
* Tue Dec 16 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.9.20-3m)
- resurrect matrox driver
- add patch to add functions deleted in i2c-2.8 kernel patch
    I can't test this fix since I don't have matrox card...

* Mon Dec 15 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.9.20-3m)
- fix compilation error of wm97xx_ts.c on kernel-2.4.23
  build on kernel-headers-2.4.23-5m or newer since fix of linux/wm97xx.h is required.

* Tue Dec  9 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (0.9.20-2m)
- remove matrox driver because it cannot be compiled with i2c-1.8

* Fri Nov 28 2003 Kenta MURATA <muraken2@nifty.com>
- (0.9.20-1m)
- version up.

* Fri Jun  6 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.18-2m)
  fix files section

* Tue Jun  3 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (0.9.18-1m)
  update 0.9.18

* Sun Jan 19 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.16-4m)
- cancel 'DirectFB-0.9.16-ppc.patch' because tarball was updated...

* Sun Jan 19 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.16-3m)
- apply DirectFB-0.9.16-ppc.patch if arch is ppc

* Fri Jan 17 2003 Kazuhiko <kazuhiko@fdiary.net>
- (0.9.16-2m)
- revise for ppc

* Wed Jan 15 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.16-1m)
- version 0.9.16

* Wed Oct 30 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.13-2m)
- disable avifile (because of build failure)

* Sun Oct 20 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.9.13-2m)
- link libm.so (libpng uses 'pow')

* Tue Aug 27 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.13-1m)
- version 0.9.13

* Sun Aug 11 2002 Shingo Akagaki <dora@kitty.dnsalias.org>
- (0.9.12-1m)
- import
